DES_EDE3_Info Class Reference

3-key TripleDES block cipher information More...

Inheritance diagram for DES_EDE3_Info:

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 24 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...

## Additional Inherited Members

Static Public Attributes inherited from FixedBlockSize< 8 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< 24 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

3-key TripleDES block cipher information

Definition at line 94 of file des.h.

The documentation for this class was generated from the following file:

- des.h